Package ietf.params.xml.ns.icalendar_2

# Class DateDatetimePropertyType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.DateDatetimePropertyType

Direct Known Subclasses:
  `DtendPropType`, `DtstartPropType`, `DuePropType`, `ExdatePropType`, `RdatePropType`, `RecurrenceIdPropType`, `XBedeworkRegistrationEndPropType`, `XBedeworkRegistrationStartPropType`

public class DateDatetimePropertyType extends BasePropertyType

Java class for DateDatetimePropertyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DateDatetimePropertyType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <sequence>
             <choice>
               <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}date-time"/>
               <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}date"/>
             </choice>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected XMLGregorianCalendar`
  `date`
  `protected XMLGregorianCalendar`
  `dateTime`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateDatetimePropertyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLGregorianCalendar`
  `getDate()`
  Gets the value of the date property.
  `XMLGregorianCalendar`
  `getDateTime()`
  Gets the value of the dateTime property.
  `void`
  `setDate(XMLGregorianCalendar value)`
  Sets the value of the date property.
  `void`
  `setDateTime(XMLGregorianCalendar value)`
  Sets the value of the dateTime property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dateTime

    protected XMLGregorianCalendar dateTime

  - ### date

    protected XMLGregorianCalendar date

- ## Constructor Details

  - ### DateDatetimePropertyType

    public DateDatetimePropertyType()

- ## Method Details

  - ### getDateTime

    public XMLGregorianCalendar getDateTime()
    Gets the value of the dateTime property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setDateTime

    public void setDateTime(XMLGregorianCalendar value)
    Sets the value of the dateTime property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`

  - ### getDate

    public XMLGregorianCalendar getDate()
    Gets the value of the date property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setDate

    public void setDate(XMLGregorianCalendar value)
    Sets the value of the date property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`